/**
 * 
 */
package dspl.errorhandling;

/**
 * ArgsChecker is a simple utility class which contains commonly used checking functions.<br>
 * Includes things like making sure a variable isn't null or that two arguements are of same type. <br>
 * All functions should generate the appriopriate error/exception. 
 * @author David
 *
 */
public class ArgsChecker {
	public static void notNull(Object arg) {
		if (arg==null) { 
			throw new Error(arg.toString() + " argument is null"); 
		}
	}
}
